Pular para o conteúdo principal
GET
/
v1
/
organizations
/
{organization_id}
/
patch-policy-targets
Listar alvos de política de patches
curl --request GET \
  --url https://api.flexxible.net/v1/organizations/{organization_id}/patch-policy-targets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.flexxible.net/v1/organizations/{organization_id}/patch-policy-targets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.flexxible.net/v1/organizations/{organization_id}/patch-policy-targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": false,
  "data": [
    {
      "id": "66ab6cf4d4d2e709bafd404c",
      "name": "Base",
      "created_by": "6439606652fc0c0051f1787b",
      "created_at": "2024-08-01T11:09:40.719Z",
      "timezone": "UTC",
      "should_restart": true,
      "wake_on_lan": true,
      "force_patching_configuration": false,
      "is_in_maintenance": false,
      "weeks": [
        1,
        2
      ],
      "schedule": {
        "MONDAY": {},
        "TUESDAY": {},
        "WEDNESDAY": {},
        "THURSDAY": {
          "9": [
            15,
            30,
            45
          ],
          "10": [
            0,
            15,
            30,
            45
          ],
          "11": [
            0,
            15,
            30,
            45
          ],
          "12": [
            0,
            15,
            30,
            45
          ],
          "13": [
            0,
            15,
            30,
            45
          ],
          "14": [
            0,
            15,
            30,
            45
          ],
          "15": [
            0
          ]
        },
        "FRIDAY": {},
        "SATURDAY": {},
        "SUNDAY": {}
      },
      "patch_policy_target_type": "windows",
      "patch_policy_id": "507f1f77bcf86cd799439011"
    }
  ]
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

organization_id
string
obrigatório

O identificador único da organização

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Parâmetros de consulta

page
integer
padrão:1

Número da página (padrão: 1)

Intervalo obrigatório: x >= 1
per_page
integer
padrão:100

Itens por página (padrão: 100, máx.: 100)

Intervalo obrigatório: 1 <= x <= 100
sort
string

Campo de ordenação com sufixo de ordem opcional (:asc ou :desc) Use os nomes das propriedades da resposta Campos válidos: id, name, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, patch_policy_target_type Exemplo: "name:asc" ou "created_at:desc"

fields
string

Lista de campos separados por vírgulas para incluir em cada elemento de objetivo de política de patches. Campos selecionáveis: id, name, created_by, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, weeks, schedule, patch_policy_target_type, patch_policy_id. O campo id sempre é incluído.

Maximum string length: 2048
filters
string

Filtere alvos de política de patches por um ou mais critérios. Forneça um objeto JSON com condições de filtro. Pode filtrar por qualquer campo retornado na resposta. Use operadores de comparação (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) e combine múltiplas condições com operadores lógicos (and, or). Tamanho máximo: 5120 caracteres.

Maximum string length: 5120

Resposta

Lista paginada de alvos de política de patches recuperada corretamente.

has_next
boolean
obrigatório

Indica se há mais resultados disponíveis na próxima página

data
object[]
obrigatório

Array de objetos de destino de política de patches